

/*** US PPF Board Variables ***/
{
rename numberofboardmembers boardmem
label variable boardmem "Board size"

gen wappointed = appointed / boardmem
gen welected = elected / boardmem
gen wexofficio = exofficio / boardmem

gen wstate = state_total / boardmem
label variable wstate "State"
gen wpublic = pubmem_total / boardmem
label variable wpublic "Public"
gen wplan = planmem_total / boardmem
label variable wplan "Plan"

gen wstate_elected = state_elected / boardmem
label variable wstate_elected "State-elected"
gen wstate_appointed = state_appointed / boardmem
label variable wstate_appointed "State-appointed"
gen wstate_exofficio = state_exofficio / boardmem
label variable wstate_exofficio "State-exofficio"

gen wpublic_elected = pubmem_elected / boardmem
label variable wpublic_elected "Public-elected"
gen wpublic_appointed = pubmem_appointed / boardmem
label variable wpublic_appointed "Public-appointed"
gen wpublic_exofficio = pubmem_exofficio / boardmem
label variable wpublic_exofficio "Public-exofficio"

gen wplan_elected = planmem_elected / boardmem
label variable wplan_elected "Participant-elected"
gen wplan_appointed = planmem_appointed / boardmem
label variable wplan_appointed "Participant-appointed"
gen wplan_exofficio = planmem_exofficio / boardmem
label variable wplan_exofficio "Participant-exofficio"

gen wstate_political = wstate_appointed + wstate_exofficio
label variable wstate_political "State-political"

gen wothermem = wplan_exofficio + wpublic_elected + wstate_elected + wpublic_exofficio
label variable wothermem "OtherMembers"
}
